import type { PackageDependency } from '../types';
import type { RuleMeta, Target, UrlParsedResult } from './types';
export declare function parseArchiveUrl(urlString: string | undefined | null): UrlParsedResult | null;
export declare function gitDependency({ rule: depType, name: depName, tag: currentValue, commit: currentDigest, remote, }: Target): PackageDependency | null;
export declare function goDependency({ rule: depType, name: depName, tag: currentValue, commit: currentDigest, importpath: packageName, remote, }: Target): PackageDependency | null;
export declare function httpDependency({ rule: depType, name: depName, url, urls, sha256, }: Target): PackageDependency | null;
export declare function dockerDependency({ rule: depType, name: depName, tag: currentValue, digest: currentDigest, repository: packageName, registry, }: Target): PackageDependency | null;
export declare const supportedRulesRegex: RegExp;
export declare function extractDepFromTarget(target: Target): PackageDependency | null;
export declare function getRuleDefinition(content: string, meta: RuleMeta[], ruleIndex: number): string | null;
